NetBeans IDE 5.5.1 发行说明

欢迎使用 NetBeans IDE 5.5.1。它是一个基于标准的模块化集成开发环境 (Integrated Development Environment, IDE),是使用 Java 编程语言编写的。NetBeans 项目包括:


有关 NetBeans 附加软件包的发行信息,请参见:

注意:如果希望使用 Enterprise Pack 中的 SOA 和 BPEL 功能,请使用安装了 NetBeans Enterprise Pack 5.5 的 NetBeans IDE 5.5。我们将不再对 NetBeans Enterprise Pack 5.x 发布任何更新。目前我们进行的所有开发都只针对具有 SOA 功能的 NetBeans 6.0。


目录

注意:如果需要了解有关安装 NetBeans IDE 5.5.1 的信息,请参见 NetBeans IDE 5.5.1 安装说明

注意:如果希望使用 Enterprise Pack 中的 SOA 和 BPEL 功能,请使用安装了 NetBeans Enterprise Pack 5.5 的 NetBeans IDE 5.5。我们将不再对 NetBeans Enterprise Pack 5.x 发布任何更新。目前我们进行的所有开发都只针对具有 SOA 功能的 NetBeans 6.0。


支持的技术


NetBeans IDE 5.5.1 支持以下技术:

  • Enterprise JavaBeans (EJB) 3.0
  • JAX-WS 2.0
  • Java 持久性 (JSR-220)
  • JavaServer Faces 1.2 (JSR-127)
  • Java Servlet 2.5
  • JavaServer Pages (JSP) 2.1
  • Struts 1.2.9
  • Java API for XML-based Remote Procedure Calls (JAX-RPC) 1.6
  • Java APIs for XML Registries (JAXR) 1.0
  • Java API for XML Processing (JAXP) 1.2
  • JavaServer Pages Standard Tag Library 1.1

注意:如果使用的 JBoss、WebLogic 或 Struts 版本不是明确列出的版本,则可能会导致 IDE 出现不可预料的行为,这是因为它们是外部接口,不能被项目组所控制。

在 NetBeans IDE 5.5.1 中测试通过了以下应用服务器:

  • Sun Java System Application Server 9.1 Beta (GlassFish V2)
  • Sun Java System Application Server PE 8.2
  • Tomcat 5.5.17
  • JBoss 4.0.4
  • WebLogic 9.1

如果您使用的是 GlassFish 应用服务器,则建议您运行 GlassFish V2 以便与 NetBeans IDE 5.5.1 配合使用。

返回页首


系统要求

支持的操作系统

NetBeans IDE 在支持 Java VM 的操作系统上运行。下面列出了已通过 NetBeans IDE 测试的平台。

  • Microsoft Windows XP Professional SP2
  • Solaris 操作系统(SPARC Platform Edition 和 x64 Platform Edition)版本 10
  • Mac OS X 10.4.5 PPC
  • Ubuntu 6.x
  • Red Hat EL 4

NetBeans IDE 还可以在以下平台上运行:

  • Java Desktop System 2
  • Microsoft Windows 2000 Professional SP4
  • Mac OS X 10.4.5 Intel
  • 其他各种 Linux 发行版本,例如 Red Hat Enterprise Linux
  • Open VMS 7.2-1 或更高版本
最低的硬件配置

注意:IDE 要求的最低屏幕分辨率为 1024x768 像素。

  • Microsoft Windows 操作系统
    • 处理器:500 MHz Intel Pentium III 工作站或与之等效的处理器
    • 内存:512 MB
    • 硬盘空间:850 MB 可用硬盘空间

  • Linux 操作系统
    • 处理器:500 MHz Intel Pentium III 工作站或与之等效的处理器
    • 内存:512 MB
    • 硬盘空间:450 MB 可用硬盘空间

  • Solaris OS (SPARC)
    • 处理器:UltraSPARC II 450 MHz
    • 内存:512 MB
    • 硬盘空间:450 MB 可用硬盘空间

  • Solaris OS (x86/x64 Platform Edition)
    • 处理器:AMD Opteron 100 系列 1.8 GHz
    • 内存:512 MB
    • 硬盘空间:450 MB 可用硬盘空间

  • Macintosh OS X 操作系统
    • 处理器:PowerPC G4
    • 内存:512 MB
    • 硬盘空间:450 MB 可用硬盘空间
建议的硬件配置
  • Microsoft Windows 操作系统
    • 处理器:1.4 GHz Intel Pentium III 工作站或与之等效的处理器
    • 内存:1 GB
    • 硬盘空间:1 GB 可用硬盘空间

  • Linux 操作系统
    • 处理器:1.4 GHz Intel Pentium III 工作站或与之等效的处理器
    • 内存:1 GB
    • 硬盘空间:850 MB 可用硬盘空间

  • Solaris OS (SPARC)
    • 处理器:UltraSPARC IIIi 1 GHz
    • 内存:1 GB
    • 硬盘空间:850 MB 可用硬盘空间

  • Solaris OS (x86/x64 platform edition)
    • 处理器:AMD Opteron 100 系列 1.8 GHz
    • 内存:1 GB
    • 硬盘空间:850 MB 可用硬盘空间

  • Macintosh OS X 操作系统
    • 处理器:PowerPC G5
    • 内存:1 GB
    • 硬盘空间:850 MB 可用硬盘空间
所需的软件

NetBeans IDE 在 J2SE JDK 5.0 (Java SE Development Kit) 上运行,该软件由 Java Runtime Environment 和开发工具(用于编译、调试和运行使用 Java 语言编写的应用程序)构成。

若要下载适于您平台的 JDK,请访问下面相应的站点:

返回页首


兼容性

首次运行 IDE 时,可以导入在 NetBeans IDE 5.0 中使用的一部分设置。如果您选择不导入先前发行版本中的设置,则系统将以缺省设置打开 IDE。

注意:IDE 只能识别那些用户目录位于缺省位置的早期安装。它不能识别您使用 --userdir 开关在其中指定了用户目录的安装。如果您要从安装程序无法识别的 IDE 中导入设置,请下载 IDE 已归档的版本(而不是安装程序)。

虽然可以将 IDE 先前安装中的设置导入 NetBeans IDE 5.5.1,但是无法将 NetBeans IDE 5.5.1 中的设置导入 IDE 的早期版本。

注意:如果在 NetBeans IDE 5.5.1 中为 NetBeans IDE 4.1 或更早版本创建的项目编辑项目属性,则早期的 NetBeans IDE 版本将无法再打开该项目。


返回页首


已知问题



以下是本发行版本中存在的一些待解决的问题:

    在某些亚洲语言环境中,无法正常显示字符。

    描述:如果在 Ubuntu 6.x 和其他一些 Linux 发行版本中运行某些亚洲语言版本的 IDE,则 IDE 屏幕上显示的文本可能会变得无法阅读。在某些 Linux 发行版本上,多字节字符可能会由于 JDK 字体设置的问题而显示为矩形框。

    解决方法:由于此问题没有已知的解决方法,因此,如果必须使用容易出现此行为的语言环境,则建议使用其他的 Linux 发行版本。请注意,Red Hat Enterprise Linux 3 上不会出现这种问题。


  • 问题 #26965:IDE 安装程序崩溃。

    描述:如果 JDK 安装中存在不兼容的 sax.jar 版本,则 IDE 安装程序将会崩溃,并显示以下消息:“由于出现以下错误,导致向导无法继续执行:无法装入在 /wizard.inf 中指定的向导 (104)”。

    解决方法:在 IDE 安装过程中,暂时将 jre/lib/endorsed/sax.jar 从 JDK 目录中移除。

  • 问题 #64771:在启用了 SELinux(安全增强)选项的 Linux 上启动失败。

    描述:在启用了 SELinux(安全增强)Linux 选项的情况下,启动 NetBeans 失败(仅限 Linux)。

    解决方法:如果出现此问题,请通过在命令行中键入 # setenforce 0 暂时禁用 SELinux。请注意,这需要具有超级用户权限。然后,将 selinux=0 添加到内核命令行以便在启动时禁用 SELinux。

  • 问题 #64840:在启用了 IPv6 的 Linux 上,网络通信中断。

    描述:在启用 IPv6 的 Linux 上,网络通信中断,进而阻止了 IDE 与捆绑的服务器进行连接、执行自动更新等操作。

    解决办法:如果出现此问题,请使用 -J-Djava.net.preferIPv4Stack=true 开关运行 IDE。或者,禁用 IPv6(在 /etc/modules.conf/etc/modprobe.conf 中)。

    有关详细信息,请参见:问题 #5087907

  • 问题 #75967:使用大型 WSDL 文件时出现内存不足的错误。

    描述:通过 WSDL 创建 Web 服务客户端或 Web 服务时,IDE 返回 OutOfMemoryError 并且有可能暂时无法使用。

    解决方法:如果出现此问题,请将 $NB_HOME/etc/netbeans.conf 文件中的 -J-Xmx128m 启动参数编辑为 -J-Xmx256m

  • 问题 #71959:对于不包含在项目中的源文件,无法执行代码完成功能。

    描述:如果打开一个不包含在项目中的 Java 源文件,并尝试调用标准 Java 类的代码完成功能时,代码完成框将不做任何响应。

    解决方法:对于要在 IDE 中编辑的源文件,请为其创建一个项目。

  • 问题 #75562:无法从 NetBeans IDE 5.0 中导入快捷键映射。

    描述:IDE 无法正确导入用户创建的所有快捷键映射配置文件,或者导入对标准快捷键映射配置文件所做的更改。

    解决方法:无。

  • 问题 #77129:Alt 快捷方式组合键在 Macintosh 平台上不起作用。

    描述:所有使用 Alt 的快捷方式组合键在 Macintosh 上都不起作用。

    解决方法:请使用菜单项调用相应的命令。

  • 问题 #85361:NetBeans 5.5 安装程序无法在 Windows Vista 上启动。

    描述:在运行 Windows Vista 的系统上,NetBeans 5.5 安装程序无法启动,并显示一条建议采用 "silent" 或 "console" 标志运行的消息。

    解决方法:要更正此问题,请在 JDK 6.0 build 96 或更高版本上运行安装程序。

    如果仍出现其他问题,请手动禁用兼容模式。具体方法是:右键单击 .exe 安装程序文件,从弹出式菜单中选择“属性”,然后取消选择“文件属性”对话框中“兼容性”标签上的“兼容模式”。请注意,如果自动启用了兼容模式,则需要为当前用户以及所有用户禁用该模式。具体方法是:单击“显示所有用户的设置”按钮,然后取消选择“所有用户的兼容性”对话框中的“兼容模式”复选框。

  • 问题 #86858:在使用 JDK 1.6 的 Mac OS 上出现重绘问题。

    描述:拖动标签时,会出现一个黑色的方形区域。放下标签后,出现重绘“欢迎”屏幕问题。

    解决方法:设置 -J-Dapple.awt.graphics.UseQuartz=true 或使用 Java 1.5 来运行 IDE。

  • 问题 #87247:复制类时未添加所需的 import 语句。

    描述:从一个包复制类并粘贴到另一个包时,未添加所需的 import 语句。

    解决方法:如果出现此问题,请对类调用“修复导入”操作。

  • 问题 #6986:重命名 bean 属性时未正确更新代码。

    描述:使用读取和写入方法重命名 bean 属性时,未正确更新源代码。

    解决方法:确保 bean 存在完整的元模型,然后查找并更改 setter/getter 模式。请注意,如果已编辑了这些方法的代码,则此解决方法将无效。

  • 问题 #83712:不能在 JDK 6 上生成具有非 ASCII 路径名的项目

    描述:如果在 JDK 1.6 上运行 IDE(无论使用哪种 Java 版本来生成项目),并且项目的文件路径包含 ASCII 字符集以外的其他国家/地区字符,则在生成或运行项目时,可能会出现错误。这是 Ant 1.6.5 中由较新的 XML 解析器触发的错误。

    解决方法:如果出现此错误,您可以使用以下任意的解决方法:

    1. 通过使用项目的上下文菜单重命名项目,将项目放在不使用此类字符的文件夹中。
    2. 在 JDK 5 下运行 IDE。
    3. 下载 Ant 1.7.0。然后,在“工具”>“选项”>“杂项”> "Ant" 中,切换 Ant Home 参数以指向 1.7.0 Ant 安装。
    4. 找到“工具”>“选项”>“杂项”> "Ant" 并单击“管理类路径”,将 xercesImpl.jar 添加到 IDE 类路径中。然后单击“添加 JAR/ZIP”,并从 NetBeans 安装的 ide<<number>>/modules/ext 目录中选择 xerces-<<version>>.jar 文件。

返回页首


文档

注意:由于 NetBeans IDE 5.5.1 是一个错误修复版本,所以 netbeans.org 站点上提供的 NetBeans IDE 5.5 文档在大多数情况下依然适用于 NetBeans IDE 5.5.1。

有关使用 IDE 的信息,请参见以下资源:

入门指南:

学习轨迹: NetBeans IDE 5.5 文档的完整列表:

注意:如果在 Mac OS X 上运行 NetBeans IDE,请参见在 Mac OS X 上使用 NetBeans,以了解有关等效的快捷键、提示和技巧以及其他特定于 Mac 的主题的详细信息。

返回页首


更多信息

在 NetBeans 项目的 Web 站点上,您可以找到新闻、文章、附加模块以及其他有用的信息。由于 NetBeans 是一个开放源代码项目,因此您还可以通过该 Web 站点访问源代码、错误数据库,并获取有关创建您自己的 NetBeans 模块等信息。

更多信息,请访问 http://www.netbeans.org

通过注册 NetBeans 项目邮件列表(网址为 https://netbeans.org/community/lists/),您可以获取最新的 NetBeans IDE 并与 NetBeans 社区进行交互。

返回页首


Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2016, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo